Don't recognize directories as libraries.  eg. If we have system
libvirt and OCaml bindings in $OCAML_LIB_DIR/libvirt, then we don't
want '-lvirt' to "discover" the OCaml bindings directory.

Index: build-tree/flexdll/reloc.ml
===================================================================
--- build-tree.orig/flexdll/reloc.ml	2008-11-06 13:54:58.000000000 +0100
+++ build-tree/flexdll/reloc.ml	2011-10-09 04:24:49.895369787 +0200
@@ -109,7 +109,7 @@
   Filename.dirname (get_output1 (Printf.sprintf "gcc %s-print-libgcc-file-name" extra))
 
 let file_exists fn =
-  if Sys.file_exists fn then Some fn
+  if Sys.file_exists fn && not (Sys.is_directory fn) then Some fn
   else if !use_cygpath && Sys.file_exists (fn ^ ".lnk") then
     Some (get_output1 (Printf.sprintf "cygpath -m %s" fn))
   else None
